<?php
session_start();
include 'config.php';
$nick = $_POST['nick'];
$password = $_POST['password'];

include 'funkce.php';

if((!$nick) || (!$password))
{
 zacatek("Přihlášení");
 echo "<p>Prosím vložte všechny povinné údaje!</p>";
 form();
 konec();
 exit();
}

$password = md5($password);
$sql = mysql_query("SELECT * FROM users WHERE nick='$nick' AND PASSWORD='$password' AND activated='1'");
$login_check = mysql_num_rows($sql);

if($login_check > 0)
{
 while($row = mysql_fetch_array($sql))
 {
  foreach( $row AS $key => $val )
  {
   $$key = stripslashes( $val );
  }

  session_register('userid');
  $_SESSION['userid'] = $userid;
  session_register('nick');
  $_SESSION['nick'] = $nick;
  session_register('pravo');
  $_SESSION['pravo'] = $pravo;
  $time=Time();
  include 'config.php';
  mysql_query("UPDATE users SET online='1',last_akce=$time  WHERE userid='$userid'");

  header("Location: main.php");
  }
 }
else
{
 zacatek("Přihlášení");
 echo "<p>Nemůžete se přihlásit! Nesouhlasí jméno a heslo nebo váš účet není aktivován! Zkuste to prosím znovu!";
 form();
 konec();
}
?>